<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die('Restricted access');

if(!function_exists('lastRecComemnt'))
{
	function lastRecComemnt($id, $section)
	{
		$db = JFactory::getDbo();

		$query = $db->getQuery(true);
		$query->select('c.user_id, c.ctime');
		$query->from('#__js_res_comments AS c');
		$query->where('published = 1');
		$query->order('ctime DESC');
		$query->where('record_id = '.$id);

		$db->setQuery($query, 0, 1);

		$row = $db->loadObject();
		if(!$row) return '--';
		$patern = '<small>By %s<br/> On %s</small>';
		return sprintf($patern, CCommunityHelper::getName($row->user_id, $section), JHtml::_('date', $row->ctime, 'd M Y'));
	}
}

$k = $p1 = 0;
$params = $this->tmpl_params['list'];
$app = JFactory::getApplication();
$stat = $params->get('tmpl_params.status');
$prio = $params->get('tmpl_params.priority');
$keys = array_keys($this->total_fields_keys);
$show_stat = in_array($stat, $keys);
$show_prio = in_array($prio, $keys);
JHTML::_('dropdown.init');
?>
<style>
td.col-topics, td.col-comments {
	font-size: 20px;
	font-weight: bold;
	color: green;
	text-align: center !important;
	vertical-align: middle !important;
}
td.col-comments {
	color: orange;
}
.relative_ctrls{
	position: relative;
}
</style>
<?php if(!$app->input->get('view_what') && $app->input->get('api') != 1):?>
	<h3><?php echo JText::_('Topics')?></h3>
<?php endif;?>
<table class="table table-bordered table-hover table-topics">
	<thead>
		<th width="16px;" rel="tooltip" data-original-title="<?php echo JText::_('CSTATUS')?>"><?php echo ucfirst(JString::substr(JText::_('CSTATUS'), 0, 1))?></th>
		<th><?php echo JText::_('Subject')?></th>
		<?php if($app->input->get('view_what') && !$app->input->get('force_cat_id')):?>
			<th><?php echo JText::_('CCATEGORY')?></th>
		<?php endif;?>

		<?php if($show_stat):?>
			<th width="1%"><?php echo JText::_($params->get('tmpl_params.stat_label', 'CSTATUS'))?></th>
		<?php endif;?>

		<?php if($show_prio):?>
			<th width="1%"><?php echo JText::_($params->get('tmpl_params.prio_label', 'CPRIORITY'))?></th>
		<?php endif;?>

		<th width="1%"><?php echo JText::_('Author')?></th>
		<th width="1%"><?php echo JText::_('Replies')?></th>
		<th width="1%"><?php echo JText::_('Views')?></th>
		<th width="1%"><?php echo JText::_('Last')?></th>
	</thead>
	<tbody>
		<?php foreach ($this->items AS $item):?>
			<tr class="<?php if($item->featured) echo ' info' ?>">
				<td>
					<?php $add = '';?>
					<?php if(CEventsHelper::showNum('record', $item->id)):?>
						<?php $add = '--exclamation';?>
					<?php endif;?>
					<?php if($item->new):?>
						<?php $add = '--plus';?>
					<?php endif;?>

					<?php if($item->params->get('comments.comments_access_post') === 0):?>
						<img src="<?php echo JURI::root()?>images/forum/lock<?php echo $add;?>.png" alt="<?php echo JText::_('Closed')?>" />
					<?php elseif($item->featured):?>
						<img src="<?php echo JURI::root()?>images/forum/pin<?php echo $add;?>.png" alt="<?php echo JText::_('Sticky')?>" />
					<?php else:?>
						<img src="<?php echo JURI::root()?>images/forum/mail<?php echo $add;?>.png" alt="<?php echo JText::_('Read')?>" />
					<?php endif;?>
				</td>
				<td class="has-context">
					<div class="relative_ctrls">
						<?php if($this->user->get('id')):?>
							<div style="position: absolute; top: -12px; right: 5px;">
								<div class="btn-group btn-controll">
									<?php echo HTMLFormatHelper::bookmark($item, $this->submission_types[$item->type_id], $params);?>
									<?php echo HTMLFormatHelper::follow($item, $this->section);?>
									<?php echo HTMLFormatHelper::repost($item, $this->section);?>
									<?php echo HTMLFormatHelper::compare($item, $this->submission_types[$item->type_id], $this->section);?>
									<?php if($item->controls):?>
										<a href="#" data-toggle="dropdown" class="dropdown-toggle btn btn-mini">
											<?php echo HTMLFormatHelper::icon('gear.png');  ?>
										</a>
										<ul class="dropdown-menu">
											<?php echo list_controls($item->controls);?>
										</ul>
									<?php endif;?>
								</div>
							</div>
						<?php endif;?>
						<h4 style="margin: 0">
							<?php if($params->get('tmpl_core.item_link')):?>
									<a <?php echo $item->nofollow ? 'rel="nofollow"' : '';?> href="<?php echo JRoute::_($item->url);?>">
										<?php echo $item->title?>
									</a>
							<?php else :?>
								<?php echo $item->title?>
							<?php endif;?>
							<?php echo CEventsHelper::showNum('record', $item->id);?>
						</h4>
						<?php if($item->parent_id > 0 && $item->parent == 'com_cobalt' && !$app->input->get('force_cat_id')): ?>
							<small><?php echo JText::_('Discuss') ?>: <?php echo CobaltApi::getArticleLink($item->parent_id) ?></small>
						<?php endif;?>
					</div>
				</td>
				<?php if($app->input->get('view_what') && !$app->input->get('force_cat_id')):?>
					<td><?php echo implode(", ", $item->categories_links);?></td>
				<?php endif;?>

				<?php if($show_stat):?>
					<td align="center" valign="middle"><?php echo @$item->fields_by_key[$stat]->result;?></td>
				<?php endif;?>

				<?php if($show_prio):?>
					<td align="center" valign="middle"><?php echo @$item->fields_by_key[$prio]->result;?></td>
				<?php endif;?>

				<td nowrap="nowrap"><?php echo CCommunityHelper::getName($item->user_id, $this->section)?></td>
				<td align="center" class="col-comments"><?php echo $item->comments?></td>
				<td align="center" class="col-topics"><?php echo $item->hits?></td>
				<td align="left" nowrap="nowrap" valign="middle">
					<?php if($item->comments):?>
						<?php echo lastRecComemnt($item->id, $this->section);?>
					<?php else:?>
					--
					<?php endif;?>
				</td>
			</tr>
		<?php endforeach;?>
	</tbody>
</table>
<script>
jQuery('.btn-controll').hide();
</script>


<?php if($app->input->get('api') != 1):?>
<br>
<div class="row-fluid small">
	<div class="span4">
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/pin.png" alt="<?php echo Mint::_('Sticky read')?>" /> <?php echo Mint::_('Sticky read')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/pin--plus.png" alt="<?php echo Mint::_('Sticky unread')?>" /> <?php echo Mint::_('Sticky unread')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/pin--exclamation.png" alt="<?php echo Mint::_('Sticky new events')?>" /> <?php echo Mint::_('Sticky new events')?>
	</div>
	<div class="span4">
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/mail.png" alt="<?php echo Mint::_('Read')?>" /> <?php echo Mint::_('Read')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/mail--plus.png" alt="<?php echo Mint::_('Unread')?>" /> <?php echo Mint::_('Unread')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/mail--exclamation.png" alt="<?php echo Mint::_('Read with new events')?>" /> <?php echo Mint::_('Read with new events')?>
	</div>
	<div class="span4">
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/lock.png" alt="<?php echo Mint::_('Closed topic read')?>" /> <?php echo Mint::_('Closed topic read')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/lock--plus.png" alt="<?php echo Mint::_('Closed topic unread')?>" /> <?php echo Mint::_('Closed topic unread')?><br>
		<img align="absmiddle" src="<?php echo JURI::root()?>images/forum/lock--exclamation.png" alt="<?php echo Mint::_('Closed topic with new events')?>" /> <?php echo Mint::_('Closed topic with new events')?>
	</div>
</div>
<hr>
<?php endif;?>